### Method

# AyatanaAppIndicatorGlib Indicator set_attention_icon

#### Declaration

    void
    app_indicator_set_attention_icon (
      AppIndicator* self,
      const gchar* icon_name,
      const gchar* icon_desc
    )

#### Description

Wrapper function for property `AppIndicator:attention-icon-name`.

#### Parameters

`icon_name`

  Type: `const gchar*`

  The name of the attention icon to set for this indicator.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`icon_desc`

  Type: `const gchar*`

  A textual description of the icon.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.